/*
 * @Author: your name
 * @Date: 2022-02-23 15:28:07
 * @LastEditTime: 2024-10-28 11:14:31
 * @LastEditors: 纪泽龙 jizelong@qq.com
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /newDev/gassafety-progress/gassafetyprogress-web/src/api/bigWindow/getdevice.js
 */
import request from "@/utils/request";

// 查询管道去查询
export function getPipeForSelect(query) {
  return request({
    url: "/pipe/pipe/getPipeForSelect",
    method: "get",
    params: query,
  });
}

// 查询管道
export function getPipe(query) {
  return request({
    url: "/pipe/pipe/selectPipeData",
    method: "get",
    params: query,
  });
}

// 调压箱
export function getTyx(query) {
  return request({
    url: "/pipe/pipe/selectDeviceData",
    method: "get",
    params: query,
  });
}
// 调压箱下面的设备接口
export function getTyxDevice(query) {
  return request({
    url: "/pipe/pipe/selectPressureFlow",
    method: "get",
    params: query,
  });
}

// 是阀门
export function getFm(query) {
  return request({
    url: "/pipe/pipe/selectvalveData",
    method: "get",
    params: query,
  });
}

// 阀门下面的设备接口
export function getFmDevice(query) {
  return request({
    url: "/pipe/pipe/selectPressureFlow",
    method: "get",
    params: query,
  });
}

// 厂站
export function getCz(query) {
  return request({
    url: "/pipe/pipe/selectTSiteStationInfoData",
    method: "get",
    params: query,
  });
}
// 场站下的设备
export function getCzDevice(query) {
  return request({
    url: "/pipe/pipe/selecttSiteStationInfoData",
    method: "get",
    params: query,
  });
}
// 设备id ：devId   类型 relationDeviceType   1调压箱/阀门井   2场站
export function getTcqDevice(query) {
  return request({
    url: "/pipe/pipe/selectSensingDevice",
    method: "get",
    params: {
      pageNum: 1,
      pageSize: 20,
      ...query,
    },
  });
}

// 液化气
export function getYhq(query) {
  return request({
    url: "/system/yehuaqiUser/allList",
    method: "get",
    params: query,
  });
}
export function getyhqUser(query) {
  return request({
    url: "/system/yehuaqiDevice/list",
    method: "get",
    params: query,
  });
}
export function deviceUser() {
  return request({
    url: "/system/deviceUser/allListbyTownship",
    method: "get",
  });
}
export function deviceUserList(query) {
  return request({
    url: "/system/deviceUser/list",
    method: "get",
    params: query,
  });
}

// 气瓶详情

export function getqpDetail(query) {
  return request({
    url: '/supervise/user/getLpgGasBottleFilesBackToByCode',
    method: "get",
    params: query,
  })
}



// 监控
export function getVideo(query) {
  return request({
    url: "/pipe/pipe/selectTvideoManagerData",
    method: "get",
    params: query,
  });
}
// 燃气用户接口
export function getUser(query) {
  return request({
    url: "/pipe/pipe/selectTdetectorUser",
    method: "get",
    params: query,
  });
}
// 企业接口
export function getEnterprise(query) {
  return request({
    url: "/regulation/info/enterpriseInfoList",
    method: "get",
    params: query,
  });
}

// 获取公司名称以及id
export function getCompany(query) {
  return request({
    url: "/pipe/pipe/selectTenterpriseInfoData",
    method: "get",
    params: query,
  });
}
// 报警
export function userAlarm(query) {
  return request({
    url: "/supervise/user/getDetectorUserAlarmList",
    method: "get",
    params: query,
  });
}

// 搜索设备
export function searchDevice(query) {
  return request({
    url: "/device/device/queryBasicInforByNameForBigWindows",
    method: "get",
    params: query,
  });
}
export function searchDeviceDetail(query) {
  return request({
    url: "/device/device/queryBasicInforByTypeAndIdForBigWindows",
    method: "get",
    params: query,
  });
}
